Spigot Sentinel 2.1.5

Combat NPCs for Spigot!

  1. Also I don't know why but when I set the spawnpoint of the npc by doing /npc spawnpoint it doesn't work. The NPC will spawn back where it died.
     
  2. Use the config file. https://github.com/mcmonkey4eva/Sentinel/blob/master/src/main/resources/config.yml#L52

    Eh... shouldn't happen. Would need more details to say what went wrong there (pastebin of Citizens/saves.yml so I can see the NPC details would be handy)
     
  3. Hey all!

    Sentinel isn't a version-locked plugin, so it should naturally work on 1.13
    It does depend on Citizens, which is a version-locked plugin, so please see here regarding Citizens 1.13 update: https://github.com/CitizensDev/Citizens2/issues/1534

    If you can get Citizens working on 1.13 and encounter any trouble with Sentinel on it, please let me know ASAP!
    When testing the update, please use latest Sentinel dev builds from http://ci.citizensnpcs.co/job/Sentinel/
     
    • Like Like x 1
  4. Heya!

    Sentinel builds from http://ci.citizensnpcs.co/job/Sentinel/ starting with Build 172 are directly built for 1.13! These builds are marked as version 1.6.0 Sentinel.
    This means you can now target 1.13 mob types and expect appropriate handling of 1.13 materials and all.

    The new builds are, of course, still backwards compatible with older minecraft servers. I've tested and verified basic functionality on both a 1.13 and a 1.12.2 server. If you encounter any issues with the new builds, please let me know ASAP!

    There's also some minor optimizations and a few small new features included in these builds.

    Be aware, these are developmental builds. None of 1.13 Spigot or Citizens 2.0.23 or Sentinel 1.6.0 are safe for use on a live public server at time of posting, as they may contain bugs. Spigot 1.13 has a few known bugs, as does Citizens 2.0.23. Sentinel does not currently, but there may be some hiding.
     
  5. Will you update it to 1.13?
     
  6. Why would you post that without reading literally the post immediately above it
     
    • Funny Funny x 1
    • Winner Winner x 1
  7. Request

    Have the npc's only follow you in a straight line when it is necessary to get through a path, not everyone you go, it looks really weird with 5 of them following you from the exact some block, and it's an ez target for AoE attacks.
     
  8. Ooh, I like that idea! Post it on https://github.com/mcmonkey4eva/Sentinel/issues !
     
  9. please help me - max hp 2000 i dont know :(
     
  10. UPDATE
    It took me FOREVER, but i finally figured out why the Sentinels stopped working and their pathing broke. There is an issue when Sentinels fight MythicMobs who use certain custom abilities that use potion effects or cooldowns. The effects never turn off once given to a Sentinel until they are killed and the Sentinels/Citizens plugin are reloaded. That means if my Warrior MythicMob attack a Sentinel using his Bash ability that stuns him with slowness 10 for 3s, that slowness 10 never goes away even though it was only suppose to last for 3s.
     
  11. Modify the needed values in this class and recompile sentinel.
     
  12. Are you trying to ask how to change the HP upper limit? "config.yml" file in your plugins/Sentinel folder contains it.


    Do not ever do that. Do not ever recommend that. That's a horrible way of doing anything wtf???
     
  13. Why is that a horrible way of doing it? It worked properly with no errors.
     
  14. You modified the source code of a public plugin with an active developer because you were too lazy to change a config option or ask how to do it.
    You, as a result, now have much more work to do, both at time of making that and every time you want to update to the latest release of the plugin.

    Also: recommending random people open up Java source code and edit it is not the slightest bit helpful. Not everyone knows how to compile Java projects, or how to edit Java code properly, or how to find the correct code lines to change, or anything else along those lines.
     
    • Agree Agree x 1
  15. Also in your spigot.yml at line 28. Just change your max health there in the server files. it has nothing to do with the Sentinel plugin.
    Code (Text):
      attribute:
        maxHealth:
          max: 2048.0
        movementSpeed:
          max: 2048.0
        attackDamage:
          max: 2048.0
     
  16. /sentinel addtarget MONSTERS doesn`t work. I can add anything else, but not MONSTERS. Little difficult to add everything manuell.

    VERSION 1.13
     
    #417 Karnal, Aug 21, 2018
    Last edited: Aug 21, 2018
  17. SlimeDog

    Patron

    Try MONSTER. Targets (and ignores) are singular, not plural.
     
  18. "monsters" should work fine. All standard target labels can be input as both plural and singular. I encourage plural personally just because it sounds more correct for that. You're not targeting *a* monster over there, you're targeting any monsters in range.

    As you're using 1.13, make sure you're running the most current build from http://ci.citizensnpcs.co/job/Sentinel/
     
    • Informative Informative x 1
  19. why i keep getting this im on minecraft 1.12.2
    i have deleted the old file and restart the server and still get this?
    [​IMG]
    [21:05:00] [Server thread/WARN]: [Sentinel] Outdated Sentinel config - please delete it to regenerate it!